# mk_dsk
#
# script to make a saveall floppy
#
# last change:  8/26/2 by Andre Marchal
#
SAVE=/usr/AW7001/save

for STA in CP0001 CP0002 CP0003 ; do

	echo --- $STA, create saveall diskette
	
	format a: /V:

	#copy to diskette
	cp $SAVE/$STA.save/.Compound_Dir a:\.Compound_Dir
	LIST=`cat $SAVE/$STA.save/.Compound_Dir `
	for CMP in $LIST ;do
		#make sure it is a valid compound
		if test "$CMP" != "$STA"
		then	mkdir a:\\$CMP
			cp $SAVE/$STA.save/$CMP/* a:\\$CMP
			echo $CMP
		fi
	done
done