# savealld
#
# script to upload, shrink and save_all CPs
#
# last change:  8/22/02 by Andre Marchal
#
SAVE=/usr/AW7001/save
date > $SAVE/session_all.log
cd /opt/fox/ciocfg/api

for STA in CP0001 CP0002 CP0003 ; do

# assure clean directories for save_all
mkdir $SAVE/$STA.save > /dev/null 2>&1
rm -r $SAVE/$STA.save/* > /dev/null 2>&1
rm -r $SAVE/$STA.save/.Compound_Dir > /dev/null 2>&1

echo --- $STA, upload, shrink and checkpoint
iccdrvr.tsk -o $SAVE/session.log <<ENDUPLOAD
		open $STA all xxx
		upload
		shrink
		checkpoint -1
		close
		exit
ENDUPLOAD

echo >> $SAVE/session.log
echo --- $STA, save_all
save_all $STA $SAVE/$STA.save >> $SAVE/session.log

echo
cat $SAVE/session.log >> $SAVE/session_all.log

done

cat $SAVE/session_all.log